Printago API
PATCH /v1/printers/enabled

Set printer enabled status

Enable or disable printers for automatic job assignment

Requires: printer.control

Request Body

Printer IDs and enabled status

EnabledConfig
enabledrequired
boolean
idsrequired
string[]

Example Request

application/json
{
  "enabled": true,
  "ids": [
    "string"
  ]
}

Response Schema

Response
value
object[]

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "nozzleDiameter": "string",
    "enabled": true,
    "tags": [
      "string"
    ],
    "confirmedReady": true,
    "isAvailable": true,
    "isOnline": true,
    "continuousPrint": true,
    "lifetimePrintHours": 1,
    "lifetimeJobCount": 1,
    "isInMaintenance": true,
    "id": "string",
    "storeId": "string",
    "createdAt": "2026-08-24T03:58:55.971Z",
    "updatedAt": "2026-08-24T03:58:55.971Z"
  }
]